<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Search v2.0
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: index.php
  Description: Installation File

  ++++++++++++++++++++++++++++++++++++++++*/

error_reporting(E_ALL ^ E_NOTICE);
define ('PATH', dirname(__FILE__).'/');
define ('REL_PATH', '../');

include(PATH.'lang.php');
include(REL_PATH.'control/connect.inc.php');

$stage1  = true;
$stage2  = false;
$stage3  = false;
$report  = array();
$table   = array();
$count   = 0;

// Install tables..
if (isset($_POST['one'])) 
{
 $stage1 = false;
 
 // Install table...logfile..
 $query = mysql_query("
 CREATE TABLE ".$database['prefix']."logfile (
  `id`             int(7) not null auto_increment,
  `keywords`       mediumtext not null,
  `count`          int(10) not null default '0',
  PRIMARY KEY (id)
 ) ENGINE=MyISAM  DEFAULT CHARSET=latin1
 ");
 
 $report[] = ($query ? $setup9 : $setup10);
 $table[]  = $database['prefix']."logfile";
 
 // Install table...pages..
 $query = mysql_query("
 CREATE TABLE ".$database['prefix']."pages (
  `id`             int(7) not null auto_increment,
  `title`          text not null,
  `description`    mediumtext not null,
  `url`            text not null,
  `keywords`       mediumtext not null,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM  DEFAULT CHARSET=latin1
 ");
 
 $report[] = ($query ? $setup9 : $setup10);
 $table[]  = $database['prefix']."pages";
 
 // Install table...settings..
 $query = mysql_query("
 CREATE TABLE ".$database['prefix']."settings (
  `id`             tinyint(1) not null auto_increment,
  `path`           text not null,
  `total`          int(3) not null default '25',
  `language`       varchar(30) not null default 'english.php',
  `target`         enum('0','1') not null default '0',
  `log`            enum('0','1') not null default '0',
  `skipwords`      mediumtext not null,
  `htmlcode`       text not null,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM  DEFAULT CHARSET=latin1
 ");
 
 $report[] = ($query ? $setup9 : $setup10);
 $table[]  = $database['prefix']."settings";
 
 $stage2 = true;
 
}

// Install data..
if (isset($_POST['two']))
{
  mysql_query("INSERT INTO ".$database['prefix']."settings VALUES (
              1,'http://www.yoursite.com/search','25','english.php','0','0','this,that,then,is,as,was,if,for',''
              )") or die(mysql_error());
  
  mysql_query("ALTER TABLE ".$database['prefix']."pages ADD FULLTEXT (title,description,keywords)") or die(mysql_error());
  
  $stage1 = false;
  $stage2 = false;
  $stage3 = true;
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<head>
<meta http-equiv="content-type" content="text/html; charset=<?php echo $charset; ?>">
<title><?php echo $setup; ?></title>
<link href="stylesheet.css" rel="stylesheet" type="text/css">
</head>

<body>
<form method="post" action="index.php">
<div align="center">
<table width="500" cellspacing="0" cellpadding="0" class="mainTable">
<tr>
  <td align="center" class="headCell">- <?php echo $setup; ?> -</td>
</tr>
<?php
if ($stage1)
{

?>
<tr>
  <td align="center" class="pad"><br><?php echo $setup2; ?><br><br>
  <table width="100%" cellspacing="0" cellpadding="0" class="areaTable">
  <tr>
    <td class="pad" width="60%"><b><?php echo $setup3; ?></b></td>
    <td class="pad" width="40%"><span class="info"><?php echo $database['host']; ?></span></td>
  </tr>
  <tr>  
    <td class="pad"><b><?php echo $setup4; ?></b></td>
    <td class="pad"><span class="info"><?php echo $database['database']; ?></span></td>
  </tr>
  <tr>  
    <td class="pad"><b><?php echo $setup5; ?></b></td>
    <td class="pad"><span class="info"><?php echo $database['username']; ?></span></td>
  </tr>
  <tr>  
    <td class="pad"><b><?php echo $setup6; ?></b></td>
    <td class="pad"><span class="info"><?php echo $database['password']; ?></span></td>
  </tr>
  <tr>  
    <td class="pad"><b><?php echo $setup7; ?></b></td>
    <td class="pad"><span class="info"><?php echo $database['prefix']; ?></span></td>
  </tr>
  </table>
  </td>
</tr>
<tr>
  <td align="center" class="pad"><?php echo $setup17; ?>:
  <table width="100%" cellspacing="0" cellpadding="0" class="areaTable" style="margin-top:10px">
  <tr>
    <td class="pad" width="60%"><b><?php echo $setup16; ?></b></td>
    <td class="pad" width="40%"><span class="info">v<?php echo phpversion(); ?> - <b><?php echo (phpversion()>'4.3.0' ? $setup19 : $setup22); ?></b></span></td>
  </tr>
  </table>
  <?php
  if (phpversion()>'4.3.0')
  {
  ?>
  <p class="button"><input class="formButton" name="one" type="submit" value="<?php echo $setup8; ?> &raquo;" title="<?php echo $setup8; ?>" /></p>
  <?php
  } else {
  ?>
  <p class="button" style="color:red;font-size:16px;margin-top:5px"><b><?php echo $setup23; ?></b></p>
  <?php
  }
  ?>
  </td>
</tr>
<?php
}
if ($stage2 && !$stage1)
{
?>
<tr>
  <td align="center" class="pad"><br><?php echo $setup14; ?><br><br>
  <table width="100%" cellspacing="0" cellpadding="0" class="areaTable">
  <?php
  
  // Show results..
  for ($i=0; $i<count($report); $i++)
  {
  ?>
  <tr>  
    <td class="pad" width="60%"><b><?php echo $table[$i]; ?></b></td>
    <td class="pad" width="40%"><span class="info"><?php echo $report[$i]; ?></span></td>
  </tr>
  <?php
  }
  
  ?>
  </table>
  <?php
  if (array_search($setup10,$report)===FALSE)
  {
  ?>
  <p class="button"><input class="formButton" name="two" type="submit" value="<?php echo $setup12; ?> &raquo;" title="<?php echo $setup12; ?>" /></p>
  <?php
  }
  else
  {
    echo '<span class="error_info"><br>'.$setup11.'</span>';
  }
  ?>
  </td>
</tr>
<?php
}
if ($stage3 && (!$stage1 && !$stage2))
{
?>
<tr>
  <td align="center" class="pad"><br><?php echo $setup13; ?><br><br>
  </td>
</tr>  
<?php
}
?>
</table>
</div>
</form>
</body>
</html>
