<?php

/*---------------------------------------------
  MAIAN SEARCH v2.0
  Written by David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: www.maianscriptworld.co.uk
  This File: Search
----------------------------------------------*/

error_reporting (E_ALL ^ E_NOTICE);
define('PATH', dirname(__FILE__).'/');
define('PARENT',1);

// Load include files..
include(PATH.'control/connect.inc.php');
include(PATH.'control/functions.php');
include(PATH.'control/Savant2.php');
include(PATH.'control/PaginateIt.php');

// Load Settings Data..
// We can mask the error thrown here and redirect index file to installer..
$SETTINGS = @mysql_fetch_object(
             mysql_query("SELECT * FROM ".$database['prefix']."settings LIMIT 1")
             );
             
// Check installer..
if (!isset($SETTINGS->language)) {
  header("Location: install/index.php");
  exit;
} 

// Load language..
include(PATH.'lang/'.$SETTINGS->language);

// Initiate vars..
$skipWords  = array_map('trim',explode(',',$SETTINGS->skipwords));
$sWords     = array();
$sCount     = 0;
$page       = (isset($_GET['next']) ? strip_tags($_GET['next']) : '1');
$limit      = $page * $SETTINGS->total - ($SETTINGS->total);
$html       = '';

// Check page var is a digit..
if (!ctype_digit($page)) {
  header("Location: search.php");
  exit;
}

// Perform search..
if (isset($_GET['q'])) {
  if (trim($_GET['q'])) {
    // If this is the first page load, filter results..
    if ($page==1) {
      $words = array_map('trim',explode(' ',urldecode($_GET['q'])));
      // Remove skipped words..
      for ($i=0; $i<count($words); $i++) {
        if (!in_array($words[$i], $skipWords)) {
          $sWords[] = $words[$i];
        }
      }
    } else {
      // If page number higher than 2 no filtering necessary..
      // If someone manually enters the page number into the address bar it won`t really upset anything..
      $words = urldecode($_GET['q']);
    }
    if (!empty($words)) {
      // Assign search term words..
      $thisSearchTerm = (is_array($words) ? implode(' ',$sWords) : $words);
      if (!empty($thisSearchTerm)) {
        // Log search if enabled..
        if ($SETTINGS->log && $page==1) {
          addToLogFile($thisSearchTerm);
        }
        // Query database based on search parameter..
        // Build html..
        $sCount   = rowCount('pages',' WHERE MATCH(title,description,keywords) AGAINST(\''.safeImport($thisSearchTerm).'\' IN BOOLEAN MODE)');
        $s_query  = mysql_query("SELECT * FROM ".$database['prefix']."pages
                    WHERE MATCH(title,description,keywords) AGAINST('".safeImport($thisSearchTerm)."' IN BOOLEAN MODE)
                    ORDER BY title
                    LIMIT $limit, $SETTINGS->total
                    ") or die(mysql_error());
        if (mysql_num_rows($s_query)>0) {
          while ($SEARCH = mysql_fetch_object($s_query)) {
            $html .= str_replace(array('{title}','{description}','{url}','{target}'),
                                 array(cleanData($SEARCH->title),cleanData($SEARCH->description),cleanData($SEARCH->url),($SETTINGS->target ? ' onclick="window.open(this);return false"' : '')),
                                 file_get_contents(PATH.'templates/html/result.htm')
                     );
          }
        } else {
          // No results..
          $html = noResultsToDisplay();
        }
      }
    } else {
      // No results..
      $html = noResultsToDisplay();
    }
  } else {
    // No results..
    $html = noResultsToDisplay();
  }
} else {
  // No results..
  $html = noResultsToDisplay();
}
 
$tpl =& new Savant2();
$tpl->assign('CHARSET', $charset);
$tpl->assign('TITLE', $search4);
$tpl->assign('HEAD_MSG', str_replace(array('{keywords}','{count}'),array((isset($thisSearchTerm) ? cleanData($thisSearchTerm) : '&nbsp;'),$sCount),$search3));
$tpl->assign('RESULTS', $html);
$tpl->assign('PAGE_NUMBERS', ($sCount>0 ? searchPageNumbers($sCount,$SETTINGS->total,$page) : '1'));
$tpl->assign('FOOTER', '<b>'.$script3.'</b>: <a href="http://www.maianscriptworld.co.uk/free-php-scripts/maian-search/free-search-engine/index.html" title="'.$script.' '.$script2.'" onclick="window.open(this);return false">'.$script.' '.$script2.'</a><br />&copy; 2005-'.date("Y").' Maian Script World. '.$script8);
$tpl->display('templates/search.tpl.php');

?>
