<?php

/*---------------------------------------------
  MAIAN SEARCH v2.0
  Written by David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: www.maianscriptworld.co.uk
  This File: Admin -Main Parsing File
----------------------------------------------*/

session_start();
error_reporting (E_ALL ^ E_NOTICE);

define('PATH', dirname(__FILE__).'/');
define('REL_PATH', '../');
define('PARENT', 1);

include(PATH.'control/functions.inc.php');
include(PATH.'control/defined.inc.php');
include(REL_PATH.'control/functions.php');
include(REL_PATH.'control/connect.inc.php');
include(PATH.'classes/pages.php');
include(PATH.'classes/PaginateIt.php');

$SETTINGS = mysql_fetch_object(
            mysql_query("SELECT * FROM ".$database['prefix']."settings LIMIT 1")
            ) or die(mysql_error());

include(REL_PATH.'lang/'.$SETTINGS->language);

$cmd        = (isset($_GET['p']) ? strip_tags($_GET['p']) : 'home');
$page       = (isset($_GET['next']) ? strip_tags($_GET['next']) : '1');
$eString    = array();
$limit      = $page * PER_PAGE - (PER_PAGE);

$PAGES          = new searchPages();
$PAGES->prefix  = $database['prefix'];

switch ($cmd) {
  case 'home':

  isWebmasterLoggedIn();
  
  // Run some security checks..
  $sec = array();
  if (is_dir(REL_PATH.'install/')) {
    $sec[] = $script5;
  }
  if ($database['cookieName']=='ms_cookie') {
    $sec[] = $script6;
  }
  if ($database['cookieKey']=='hfgfyf[]f[9874hg36g88sgsfdt00kfte') {
    $sec[] = $script7;
  }
    
  include(PATH.'templates/header.php');
  include(PATH.'templates/home.php');
  include(PATH.'templates/footer.php');
  break;

  case 'search-pages':
    
  isWebmasterLoggedIn();
    
  // Add new pages..
  if (isset($_POST['process'])) {
    $_POST = array_map('trim',$_POST);
    if ($_POST['title'] && $_POST['description'] && $_POST['url'] && $_POST['keywords']) {
      $PAGES->addNewPage();
      $OK = true;
    } else {
      header("Location: ?p=search-pages");
      exit;
    }
  }
  
  // Update page..
  if (isset($_POST['update'])) {
    $_POST = array_map('trim',$_POST);
    if ($_POST['title'] && $_POST['description'] && $_POST['url'] && $_POST['keywords']) {
      $PAGES->updatePage();
      $UP = true;
    } else {
      header("Location: ?p=search-pages&id=".$_GET['id']);
      exit;
    }
  }
  
  // Delete pages..
  if (isset($_POST['delete'])) {
    if (!empty($_POST['pgs'])) {
      $PAGES->deletePages();
    }
    header("Location: ?p=search-pages");
    exit;
  }

  include(PATH.'templates/header.php');
  include(PATH.'templates/search-pages.php');
  include(PATH.'templates/footer.php');
  break;

  case 'settings':
    
  isWebmasterLoggedIn();
    
  if (isset($_POST['process'])) {
    $_POST = multiDimensionalArrayMap('safeImport',$_POST);
    mysql_query("UPDATE ".$database['prefix']."settings SET
    path         = '".$_POST['path']."',
    total        = '".(int)$_POST['total']."',
    language     = '".$_POST['lang']."',
    target       = '".$_POST['target']."',
    log          = '".(isset($_POST['log']) ? ($_POST['log']=='yes' ? 1 : 0) : '0')."',
    skipwords    = '".$_POST['skipwords']."',
    htmlcode     = ''
    LIMIT 1") or die(mysql_error());
    $OK = true;
  }

  include(PATH.'templates/header.php');
  include(PATH.'templates/settings.php');
  include(PATH.'templates/footer.php');
  break;
    
  case 'html':
    
  isWebmasterLoggedIn();

  include(PATH.'templates/header.php');
  include(PATH.'templates/html.php');
  include(PATH.'templates/footer.php');
  break;
    
  case 'log':
    
  isWebmasterLoggedIn();
    
  // Remove selected entries..  
  if (isset($_POST['process'])) {
    if (!empty($_POST['id'])) {
      mysql_query("DELETE FROM ".$database['prefix']."logfile 
      WHERE id IN (".implode(',',$_POST['id']).")
      ") or die(mysql_error());
    }
    header("Location: ?p=log");
    exit;
  }
    
  // Clear all..  
  if (isset($_GET['clear'])) {
    mysql_query("TRUNCATE TABLE ".$database['prefix']."logfile") or die(mysql_error());
    header("Location: ?p=log");
    exit;
  }  

  // Order by..
  if (isset($_GET['orderby'])) {
    switch ($_GET['orderby']) {
      case "most":
      $sOrder = "ORDER BY count DESC";
      break;
      case "least":
      $sOrder = "ORDER BY count";
      break;
    }
  }

  include(PATH.'templates/header.php');
  include(PATH.'templates/log-file.php');
  include(PATH.'templates/footer.php');
  break;

  case 'login':
  
  if (isset($_POST['process'])) {
    $_POST = array_map('trim',$_POST);
    $_POST = array_map('cleanEvilTags',$_POST);
    if ($_POST['user'] && $_POST['pass']) {
      if ($_POST['user']!=USERNAME) {
        $U_ERROR = true;
        $count++;
      }
      if (encrypt($database['cookieKey'].$_POST['pass'])!=encrypt($database['cookieKey'].PASSWORD)) {
        $P_ERROR = true;
        $count++;
      }
      if ($count==0) {
        // Set session var..
        $_SESSION[encrypt($database['cookieKey'])] = encrypt($database['cookieKey'].$_POST['user']);
        // Set cookie..
        if (isset($_POST['cookie'])) {
          setcookie(encrypt($database['cookieKey']).$database['cookieName'], encrypt($database['cookieKey'].$_POST['user']), time()+60*60*24*30);
        }
        header("Location: index.php");
        exit;
      }
    } else {
      header("Location: index.php?p=login");
      exit;
    }
  }
  
  include(PATH.'templates/login.php');
  break;
    
  case 'logout':
  
  session_unset();
  session_destroy();
  unset($_SESSION[encrypt($database['cookieKey'])]);
  unset($_SESSION);
  if (isset($_COOKIE[encrypt($database['cookieKey']).$database['cookieName']])) {
    setcookie(encrypt($database['cookieKey']).$database['cookieName'],'');
    unset($_COOKIE[encrypt($database['cookieKey']).$database['cookieName']]);
  }
  header("Location: ?p=login");
  break;
}

?>
