--
-- Table structure for table `ms_logfile`
--

CREATE TABLE ms_logfile(
  `id`             int(7) not null auto_increment,
  `keywords`       mediumtext not null,
  `count`          int(10) not null default '0',
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Table structure for table `ms_pages`
--

CREATE TABLE ms_pages(
  `id`             int(7) not null auto_increment,
  `title`          text not null,
  `description`    mediumtext not null,
  `url`            text not null,
  `keywords`       mediumtext not null,
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

ALTER TABLE ms_pages ADD FULLTEXT (title,description,keywords);

--
-- Table structure for table `ms_settings`
--

CREATE TABLE ms_settings (
  `id`             tinyint(1) not null auto_increment,
  `path`           text not null,
  `total`          int(3) not null default '25',
  `language`       varchar(30) not null default 'english.php',
  `target`         enum('0','1') not null default '0',
  `log`            enum('0','1') not null default '0',
  `skipwords`      mediumtext not null,
  `htmlcode`       text not null,
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

INSERT INTO ms_settings VALUES (1,'http://www.yoursite.com/search','25','english.php','0','0','this,that,then,is,as,was,if,for','');
